<!DOCTYPE html>
<html>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<body>

<div ng-app="myApp" ng-controller="myCtrl"> 


<p>Today's welcome message is:</p>

<h1>{{myWelcome}}</h1>

<h1>{{status}}</h1>
<h1>{{statusText}}</h1>

</div>

<p>The $http service requests a page on the server, and the response is set as the value of the "myWelcome" variable.</p>

<p>
Methods
<br />
The example above uses the .get method of the $http service.

The .get method is a shortcut method of the $http service. There are several shortcut methods:</p>
<ul>
    <li><code class="w3-codespan">.delete()</code></li>
    <li><code class="w3-codespan">.get()</code></li>
    <li><code class="w3-codespan">.head()</code></li>
    <li><code class="w3-codespan">.jsonp()</code></li>
    <li><code class="w3-codespan">.patch()</code></li>
    <li><code class="w3-codespan">.post()</code></li>
    <li><code class="w3-codespan">.put()</code></li>
</ul>

<script>
var app = angular.module('myApp', []);
app.controller('myCtrl', function($scope, $http) {
  $http({
    method : "GET",
    url : "https://jsonplaceholder.typicode.com/todos/1"
  }).then(function mySuccess(response) {
      $scope.myWelcome = response.data;
	  $scope.statuscode = response.status;
	  $scope.statustext = response.statusText; 
	  
	  console.log(response.data)
    }, function myError(response) {
      $scope.myWelcome = response.statusText;
  });
});
</script>

</body>
</html>
